Bug 814531 - kernel 3.3.1 and 3.3.2 break wireless with Broadcom BCM4312 wifi device in Fedora 16
kernel 3.3.1 and 3.3.2 break wireless with Broadcom BCM4312 wifi device in Fe...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 01:15 EDT by donotspamme
Modified: 2012-04-23 10:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 10:29:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description donotspamme 2012-04-20 01:15:18 EDT
Description of problem:
Upgrading from kernel 3.3.0 to 3.3.1 stopped my machine from detecting it's wireless network interface.  Kernel 3.3.2 does not resolve this for me.
Booting to 3.3.0-4.fc16.i686.PAE allows wifi device to still work.
(However, the older kernel causes problems with my VirtualBox installation, and I really need both to work at the same time.)

Version-Release number of selected component (if applicable):
3.3.1-5.fc16.i686.PAE
3.3.2-1.fc16.i686.PAE

How reproducible:
Always

Steps to Reproduce:
1. sudo yum update to get kernel 3.3.1 or 3.3.2
2. reboot
3. network manager fails to detect wifi device
   ifconfig -a also fails to detect wifi device
  
Actual results:
System does not detect wifi device, so will not attempt to make a wifi connection.

Expected results:
Should detect wifi device and make a connection.

Additional info:
Similar to bug 810678 reported 08-April-2012.  But the fix for that bug did not fix my problem.
Comment 1 donotspamme 2012-04-20 01:19:16 EDT
Laptop: Dell Vostro 1710
Comment 2 donotspamme 2012-04-20 03:20:24 EDT
[name@machine ~]$ lspci
...
06:00.0 Network controller: Broadcom Corporation BCM4312 802.11b/g LP-PHY (rev 01)
07:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
Comment 3 donotspamme 2012-04-20 21:19:57 EDT
Someone at fedoraforum.org suggested I reinstall kmod-wl.

I did this and achieved a partial resolution (can post the yum trace if it would be helpful).  Yum installed the non-PAE version of 3.3.2 kernel.

Current status is:

1. If I boot to the non-PAE kernel, wireless works (and VirtualBox also works).
[user@vos ~]$ uname -a
Linux vos.somewhere.com 3.3.2-1.fc16.i686 #1 SMP Sat Apr 14 01:11:09 UTC 2012 i686 i686 i386 GNU/Linux

2. If I boot to the PAE kernel, wireless still does not work.  My wireless device is not detected by network manager or by ifconfig -a.
[user@vos ~]$ uname -a
Linux vos.somewhere.com 3.3.2-1.fc16.i686.PAE #1 SMP Sat Apr 14 00:50:11 UTC 2012 i686 i686 i386 GNU/Linux
Comment 4 donotspamme 2012-04-20 21:28:23 EDT
Severity/priority could be lowered, from my point of view, as I now have a workaround.
Comment 5 donotspamme 2012-04-21 03:46:23 EDT
Problem resolved with:
  sudo yum install kmod-wl-PAE

Apologies for raising a non-bug.

Note You need to log in before you can comment on or make changes to this bug.